Skip to main content
GET
List personalities

Authorizations

Authorization
string
header
required

OAuth access token issued by Cekura for connected apps.

Query Parameters

language
string

Filter by language code (e.g. en, es, fr).

project_id
integer

Filter to personalities available to this project (its own plus globally available ones)

Response

200 - application/json
name
string
required

Name of the personality Example: "Customer Service"

Maximum string length: 255
background_noise
string
required

Background noise

voice_model
string
required

Voice model name

id
integer
read-only
project
integer

Project that will own the personality. Optional when using a project-scoped API key (it is inferred from the key); required otherwise. Example: 1

prompt
string

Prompt of the personality Example: "You are a friendly and helpful customer service agent who is always willing to help"

language
enum<string>

Language of the personality

  • af - Afrikaans
  • ar - Arabic
  • bn - Bengali
  • bg - Bulgarian
  • zh - Chinese Simplified
  • cs - Czech
  • da - Danish
  • nl - Dutch
  • en - English
  • et - Estonian
  • fi - Finnish
  • fr - French
  • de - German
  • el - Greek
  • gu - Gujarati
  • hi - Hindi
  • he - Hebrew
  • hu - Hungarian
  • id - Indonesian
  • it - Italian
  • ja - Japanese
  • kn - Kannada
  • ko - Korean
  • ms - Malay
  • ml - Malayalam
  • mr - Marathi
  • multi - Multilingual
  • no - Norwegian
  • pl - Polish
  • pa - Punjabi
  • pt - Portuguese
  • ro - Romanian
  • ru - Russian
  • sk - Slovak
  • es - Spanish
  • sv - Swedish
  • th - Thai
  • tr - Turkish
  • tl - Tagalog
  • ta - Tamil
  • te - Telugu
  • uk - Ukrainian
  • vi - Vietnamese
Available options:
af,
ar,
bn,
bg,
zh,
cs,
da,
nl,
en,
et,
fi,
fr,
de,
el,
gu,
hi,
he,
hu,
id,
it,
ja,
kn,
ko,
ms,
ml,
mr,
multi,
no,
pl,
pa,
pt,
ro,
ru,
sk,
es,
sv,
th,
tr,
tl,
ta,
te,
uk,
vi
accent
string

Accent of the personality Example: "American"

Maximum string length: 255
voice_id
string

Voice ID Example: "TX3LPaxmHKxFdv7VOQHJ"

interruption_level
string

Interruption level

speed
string

Speed of the voice

generation_config
string

Generation config for Cartesia Sonic-3 voice model. Only valid when provider is "cartesia" and voice_model is "sonic-3.5". Supports volume and emotion Example: {"volume": 1.5, "emotion": "happy"}

network_simulation
string

Network simulation configuration for testing network impairments.

message_plan
string

Message plan configuration for idle timeout behavior. Supports idle_timeout_seconds (positive int) and idle_message_max_spoken_count (positive int). Example: {"idle_timeout_seconds": 15, "idle_message_max_spoken_count": 2}

start_speaking_plan
string

Wait seconds before the bot starts speaking (float >= 0). Ignored if interruption_level is also set in the same request (preset takes precedence). Example: 0.7

stop_speaking_plan
string | null

Stop speaking plan configuration. Controls when the bot stops speaking. Supports num_words (int >= 0), voice_seconds (float >= 0), backoff_seconds (float >= 0). Ignored if interruption_level is also set in the same request (preset takes precedence). Example: {"num_words": 3, "voice_seconds": 0.3, "backoff_seconds": 0}

background_sound_volume
string | null

Background sound volume levels (0.0 to 1.0). base sets both the base and normal volume; reduced sets the quieter level during bot speech. Example: {"base": 0.05, "reduced": 0.02}

patronus_settings
unknown
provider_agent_id
string
read-only

Provider agent ID Example: "assistant_123"

end_call_enabled
boolean
default:true

Whether the end call is enabled

provider
enum<string>

Provider of the voice

  • 11labs - Elevenlabs
  • cartesia - Cartesia
Available options:
11labs,
cartesia